Board index FlightGear Support Flying

CRJ-900 WONT LOAD BECAUSE OF ERROR

Controlling your aircraft, using the autopilot etc.

CRJ-900 WONT LOAD BECAUSE OF ERROR

Postby jtprophet » Sat Jan 27, 2018 5:38 am

Happy Friday everyone!

Actually its Satuday...lol.

When trying to load the CRJ-900 model I get the following error with a crash of the sim that displays in the console:

YASim SOLUTION FAILURE:
Insufficient elevator to trim for approach
Segmentation fault (core dumped)

Is this easy to fix?

Thank-you

John
jtprophet
 
Posts: 89
Joined: Mon Apr 04, 2016 2:21 pm

Re: CRJ-900 WONT LOAD BECAUSE OF ERROR

Postby AndersG » Sat Jan 27, 2018 11:42 am

That means the FDM configuration for the aircraft is out of whack in the version of YASim in your FlightGear. This could have several sources - one is recent code changes in YASim that might have caused changes in behaviour, but it can also be (if the FDM configuration was borderline from the beginning) due to even more subtle changes in floating point processing such as different compiler, compiler options or CPU hardware compared to that of the aircraft author (who presumably didn't put an obviously broken FDM configuration there in the first place).

In either case it is probably not easy to fix without a good understanding of YASim FDM configurations. Double-check that the aircraft version you have is for the version of FlightGear you run.
Callsign: SE-AG
Aircraft (uhm...): Submarine Scout, Zeppelin NT, ZF Navy free balloon, Nordstern, Hindenburg, Short Empire flying-boat, ZNP-K, North Sea class, MTB T21 class, U.S.S. Monitor, MFI-9B, Type UB I submarine, Gokstad ship, Renault FT.
AndersG
 
Posts: 2413
Joined: Wed Nov 29, 2006 9:20 am
Location: Göteborg, Sweden
Callsign: SE-AG
OS: Debian GNU Linux

Re: CRJ-900 WONT LOAD BECAUSE OF ERROR

Postby jtprophet » Sat Jan 27, 2018 11:41 pm

Oh is that all? ; ( )
Hey thanks for the reply I keep putting off reloading back down to Ubuntu 16.04 from 17.04 which is causing all kinds of incompatible issues so now its biting me in the "deriere" once again; I should just stop procrastinating and just do it.
Additionally I'm stuck with Flightgear 2016.4 and have not been able to upgrade.

Thanks again
John
jtprophet
 
Posts: 89
Joined: Mon Apr 04, 2016 2:21 pm

Re: CRJ-900 WONT LOAD BECAUSE OF ERROR

Postby jsb » Tue Jan 30, 2018 4:09 pm

Hi John,
as I am the "bad guy" working on YASim and the CRJ700 family I am very interested to understand the issue.
It appears you are facing at least two differen errors, one being the "SOLUTION FAILURE" (meaning something in the CRJ900.xml is not ok). No idea why FG crashes with segfault in your case.
Could you 1) update to the latest stable FG release and 2) try the latest version from https://github.com/d-jsb/CRJ700-family/ (master branch)?
I am a little bit behind getting bugfixed into the official fgaddon repository on sourceforge.net - sorry.

Last but not least it would be interesting to know what version of FG and the CRJ you have got and where you got it from.
jsb
 
Posts: 207
Joined: Sat Oct 25, 2014 8:17 pm
Location: Hamburg, Germany
Callsign: D-JSB
Version: next
OS: Win7/Linux


Return to Flying

Who is online

Users browsing this forum: No registered users and 2 guests